import * as __WEBPACK_EXTERNAL_MODULE_antd_style__ from "antd-style";
function _tagged_template_literal(strings, raw) {
    if (!raw) raw = strings.slice(0);
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    const data = _tagged_template_literal([
        "\n      .ant-tabs-nav-wrap.ant-tabs-nav-wrap {\n        flex: none;\n      }\n      .ant-tabs-tab.ant-tabs-tab {\n        border: none;\n        background-color: #ffffff;\n      }\n\n      .ant-tabs-tab-active.ant-tabs-tab-active.ant-tabs-tab-active.ant-tabs-tab-active {\n        border-radius: 8px 8px 0 0;\n        box-shadow: none;\n        text-shadow: none;\n        background-color: var(--tb-box-bg);\n      }\n      .ant-tabs-extra-content {\n        flex: 1;\n      }\n    "
    ]);
    _templateObject = function() {
        return data;
    };
    return data;
}
function _templateObject1() {
    const data = _tagged_template_literal([
        "\n      display: flex;\n      flex-direction: row;\n      justify-content: flex-end;\n\n      &.designable {\n        justify-content: space-between;\n      }\n\n      .scroll-area-extra-content {\n        align-self: flex-end;\n      }\n    "
    ]);
    _templateObject1 = function() {
        return data;
    };
    return data;
}
function _templateObject2() {
    const data = _tagged_template_literal([
        "\n      position: relative;\n      &:hover {\n        .tab-designer-wrapper {\n          display: block;\n        }\n      }\n      .tab-designer-wrapper {\n        display: none;\n        position: absolute;\n        top: 0;\n        right: 0;\n        padding: 0 2px;\n        border-radius: 3px;\n        color: #000000;\n        background-color: #ffffff;\n\n        &:hover {\n          color: #ffffff;\n          background-color: var(--colorSettings);\n        }\n      }\n    "
    ]);
    _templateObject2 = function() {
        return data;
    };
    return data;
}
const useStyles = (0, __WEBPACK_EXTERNAL_MODULE_antd_style__.createStyles)((param)=>{
    let { css, token } = param;
    return {
        tabComponentClass: css(_templateObject()),
        tabWrapper: css(_templateObject1()),
        tabItemClass: css(_templateObject2())
    };
});
export { useStyles };
